### Method

# GimpUi Labeled get_text

#### Declaration [src]

    const gchar*
    gimp_labeled_get_text (
      GimpLabeled* labeled
    )

#### Description [src]

This function will return exactly what you entered with `gimp_labeled_set_text()` or through the “label” property because this class expects labels to have mnemonics (and allows Pango formatting). To obtain instead the text as displayed with mnemonics and markup removed, call:

    gtk_label_get_text (GTK_LABEL (gimp_labeled_get_label (@labeled)));

#### Return value

Returns: | `const gchar*`
| The label text as entered, which includes pango markup and mnemonics similarly to gtk_label_get_label().
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.